crc.hpp File Reference
`#include <cstdint>`
`#include <osmium/osm/area.hpp>`
`#include <osmium/osm/changeset.hpp>`
`#include <osmium/osm/location.hpp>`
`#include <osmium/osm/node.hpp>`
`#include <osmium/osm/node_ref_list.hpp>`
`#include <osmium/osm/relation.hpp>`
`#include <osmium/osm/way.hpp>`
`#include <osmium/util/endian.hpp>`
Include dependency graph for crc.hpp:

Go to the source code of this file.

## Classes

class | osmium::CRC< TCRC >

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::util
| Helpful utility classes and functions not strictly OSM related.

## Functions

uint16_t | osmium::util::byte_swap_16 (uint16_t value) noexcept
uint32_t | osmium::util::byte_swap_32 (uint32_t value) noexcept
uint64_t | osmium::util::byte_swap_64 (uint64_t value) noexcept